<template>
  <el-table border :data="listUser">
    <el-table-column type="index" label="ID" width="50"></el-table-column>
    <el-table-column prop="name" label="Account">
    </el-table-column>
    <el-table-column prop="full_name" label="Full Name"> </el-table-column>
    <el-table-column prop="sex" label="Sex">
      <template #default="scope">
        {{ scope.row.sex === "1" ? "Female" : "Male" }}
      </template>
    </el-table-column>
    <el-table-column prop="phone" label="Phone"> </el-table-column>
    <el-table-column prop="email" label="Email"> </el-table-column>
    <el-table-column prop="address" label="Address"> </el-table-column>
    <el-table-column prop="status" label="Status" width="100">
      <template #default="scope">
        <el-tag
          :type="scope.row.status === 1 ? 'success' : ''"
          disable-transitions
          >{{ scope.row.status === 1 ? "Process" : "Unprocess" }}</el-tag
        >
      </template>
    </el-table-column>
    <el-table-column label="Action" width="110">
      <template slot-scope="scope">
        <router-link :to="'/users/' + scope.row.id">
          <el-button type="primary" icon="el-icon-edit" circle></el-button>
        </router-link>
        <el-button
          type="danger"
          prop="id"
          icon="el-icon-delete"
          @click="handleDelete(scope.row.id)"
          circle
        ></el-button>
      </template>
    </el-table-column>
  </el-table>
</template>

<script>
import axios from "axios";
import { BASE_URL } from "~/constants/constants.js";
export default {
  props: {
    listUser: {
      type: Array,
      default: () => [],
    },
  },
  methods: {
    /**
     * Delete user
     *
     * @param {*} id
     */
    handleDelete(id) {
      this.$swal
        .fire({
          title: "Are you sure?",
          text: "You won't be able to revert this!",
          icon: "warning",
          showCancelButton: true,
          confirmButtonColor: "#3085d6",
          cancelButtonColor: "#d33",
          confirmButtonText: "Yes, delete it!",
        })
        .then((result) => {
          if (result.isConfirmed) {
            axios
              .delete(`${BASE_URL}/destroy/${id}`)
              .then(() => {
                this.$emit("on-delete");
                this.$swal.fire(
                  "Deleted!",
                  "Your file has been deleted.",
                  "success"
                );
              })
              .catch(() => {
                this.$swal.fire({
                  position: "top-end",
                  icon: "error",
                  title: "Server error!",
                  showConfirmButton: false,
                  timer: 1500,
                });
              });
          }
        });
    },
  },
};
</script>

<style>
.el-table th.el-table__cell.is-leaf,
.el-table td.el-table__cell {
  color: #000;
}
</style>
